import request from '@/utils/request'

export function _getChannel(id) {
  return request({
    url: '/LogisticsChannel/GetChannel',
    method: 'get',
    params: { id }
  })
}
export function _editChannel(data) {
  return request({
    url: '/LogisticsChannel/EditChannel',
    method: 'post',
    data: data
  })
}
export function _addChannel(data) {
  return request({
    url: '/LogisticsChannel/AddChannel',
    method: 'post',
    data: data
  })
}

export function _queryPager(data) {
  return request({
    url: '/LogisticsChannel/QueryPager',
    method: 'post',
    timeout: 20 * 1000,
    data:data
  })
}

export function _disable(id) {
  return request({
    url: '/LogisticsChannel/Disable',
    method: 'post',
    timeout: 20 * 1000,
    params: { id }
  })
}

export function _enable(id) {
  return request({
    url: '/LogisticsChannel/Enable',
    method: 'post',
    timeout: 20 * 1000,
    params: { id }
  })
}
